{
  config,
  pkgs,
  ...
}: {
  sops.secrets."writefreely".mode = "0440";
  sops.secrets."writefreely".owner = config.users.users.writefreely.name;
  services.writefreely = {
    enable = true;
    host = "writefreely.lillianviolet.dev";
    nginx.enable = true;
    nginx.forceSSL = true;
    acme.enable = true;
    database = {
      type = "mysql";
      createLocally = true;
    };
    admin = {
      initialPasswordFile = config.sops.secrets."writefreely".path;
      name = "GLaDTheresCake";
    };
    settings = {
      server.port = "15763";
    };
  };
}
